aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Bosschaert <david.bosscha...@gmail.com>
Subject Re: Aries Subsystem component: ClassCastException when attempting to cast a VersionAttribute to a VersionRangeAttribute
Date Mon, 11 Jun 2012 20:02:51 GMT
Thanks John, I'll take a look soon.
I built from source in Aries so I should be able to pick up your
changes straight from there.

Cheers,

David

On 10 June 2012 22:15, John W Ross <jwross@us.ibm.com> wrote:
> Hi David,
>
> I fixed the issue you encountered, plus a few more after running your rather large test
subsystem through. I ended up with it failing due to a missing resource: org.apache.geronimo.specs.geronimo-annotation,
which I presume you have in your repo but I don't. I checked in the fixes, but I suppose you're
using the RI binary from OSGi? If so, I'll need to update it.
>
> John
>
> -----David Bosschaert <david.bosschaert@gmail.com> wrote: -----
>
>>To: dev@aries.apache.org
>>From: David Bosschaert <david.bosschaert@gmail.com>
>>Date: 06/07/2012 01:21PM
>>Subject: Aries Subsystem component: ClassCastException when
>>attempting to cast a VersionAttribute to a VersionRangeAttribute
>>
>>Hi all,  I was playing a little with the Aries subsystem component.
>>Got a simple subsystem working, but when I started to create a larger
>>subsystem I ran into the exception below [1].  The offending code is
>>from
>>org.apache.aries.subsystem.core.archive.ImportPackageHeader$Clause.ge
>>tVersionRangeAttribute()   public VersionRangeAttribute
>>getVersionRangeAttribute() {     return
>>(VersionRangeAttribute)myParameters.get(Constants.VERSION_ATTRIBUTE);
>>  }  Anyone know what could be causing this? To reproduce just deploy
>>the following .esa file (which is the beginning of packaging
>>CXF-DOSGi as a feature subsystem):
>>http://dl.dropbox.com/u/1151396/subsystems/cxf-dosgi-ri-subsystem-dis
>>tribution-1.4-SNAPSHOT.esa  Thanks,  David  Caused by:
>>java.lang.ClassCastException:
>>org.apache.aries.subsystem.core.archive.VersionAttribute cannot be
>>cast to org.apache.aries.subsystem.core.archive.Vers
>>ionRangeAttribute      at
>>org.apache.aries.subsystem.core.archive.ImportPackageHeader$Clause.ge
>>tVersionRangeAttribute(ImportPackageHeader.java:149)   at
>>org.apache.aries.subsystem.core.archive.ImportPackageRequirement.<ini
>>t>(ImportPackageRequirement.java:25)   at
>>org.apache.aries.subsystem.core.archive.ImportPackageHeader$Clause.to
>>Requirement(ImportPackageHeader.java:153)      at
>>org.apache.aries.subsystem.core.archive.ImportPackageHeader.toRequire
>>ments(ImportPackageHeader.java:216)    at
>>org.apache.aries.subsystem.core.internal.BundleResource.<init>(Bundle
>>Resource.java:73)      at
>>org.apache.aries.subsystem.core.internal.BundleResource.newInstance(B
>>undleResource.java:43)         at
>>org.apache.aries.subsystem.core.internal.RawSubsystemResource.compute
>>Resources(RawSubsystemResource.java:299)       at
>>org.apache.aries.subsystem.core.internal.RawSubsystemResource.<init>(
>>RawSubsystemResource.java:107)         at
>>org.apache.aries.subsystem.core.internal.SubsystemResource.<init>(Sub
>>systemResource.java:45)        at
>>org.apache.aries.subsystem.core.internal.InstallAction.run(InstallAct
>>ion.java:43)   ... 60 more

Mime
View raw message